<?php
/**
 * Theme Palace widgets inclusion
 *
 * This is the template that includes all custom widgets of Rise Magazine
 *
 * @package Theme Palace
 * @subpackage Rise Magazine
 * @since Rise Magazine 1.0.0
 */

/*

/*
 * Add popular post widget
 */
require get_template_directory() . '/inc/widgets/social-link-widget.php';
require get_template_directory() . '/inc/widgets/trending-post-widget.php';
require get_template_directory() . '/inc/widgets/popular-post-widget.php';
/*

/**
 * Register widgets
 */
function rise_magazine_register_widgets() {

	register_widget( 'Rise_Magazine_Social_Link' );
	register_widget( 'Rise_Magazine_Trending_Post' );
	register_widget( 'Rise_Magazine_Popular_Post' );

}
add_action( 'widgets_init', 'rise_magazine_register_widgets' );